--- old/usr/src/cmd/mdb/common/modules/genunix/leaky_subr.c	2016-02-18 08:40:37.811125238 -0500
+++ new/usr/src/cmd/mdb/common/modules/genunix/leaky_subr.c	2016-02-18 08:40:37.814774752 -0500
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <mdb/mdb_param.h>
 #include <mdb/mdb_modapi.h>
 
@@ -278,22 +276,13 @@
 	return (WALK_NEXT);
 }
 
+/*ARGSUSED*/
 static int
 leaky_thread(uintptr_t addr, const kthread_t *t, unsigned long *pagesize)
 {
 	uintptr_t size, base = (uintptr_t)t->t_stkbase;
 	uintptr_t stk = (uintptr_t)t->t_stk;
 
-	/*
-	 * If this thread isn't in memory, we can't look at its stack.  This
-	 * may result in false positives, so we print a warning.
-	 */
-	if (!(t->t_schedflag & TS_LOAD)) {
-		mdb_printf("findleaks: thread %p's stack swapped out; "
-		    "false positives possible\n", addr);
-		return (WALK_NEXT);
-	}
-
 	if (t->t_state != TS_FREE)
 		leaky_grep(base, stk - base);
 
